Bug 101256 - updating rpm and beecrypt removes /usr/lib64/libbecrypt.so*
updating rpm and beecrypt removes /usr/lib64/libbecrypt.so*
Status: CLOSED WORKSFORME
Product: Red Hat Linux Beta
Classification: Retired
Component: rpm (Show other bugs)
beta1
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-30 10:21 EDT by Albert Fluegel
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-27 11:34:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Albert Fluegel 2003-07-30 10:21:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
updating rpm and beecrypt running rpm -U rpm-4.2.1-0.11.x86_64.rpm
rpm-devel-4.2-0.69.x86_64.rpm beecrypt-3.0.1-0.20030630.1.x86_64.rpm
beecrypt-devel-3.0.1-0.20030630.1.x86_64.rpm
removes the libbecrypt.so* in /usr/lib64, what makes any further
rpm activities impossible as rpm-4.2.1 needs libbeencrypt-6:
: ldd `which rpm`
        librpm-4.2.so => /usr/lib64/librpm-4.2.so (0x0000002a9566b000)
        librpmdb-4.2.so => /usr/lib64/librpmdb-4.2.so (0x0000002a957c6000)
        librpmio-4.2.so => /usr/lib64/librpmio-4.2.so (0x0000002a959ab000)
        libpopt.so.0 => /usr/lib64/libpopt.so.0 (0x0000002a95aed000)
        libelf.so.1 => /usr/lib64/libelf.so.1 (0x0000002a95bf4000)
        libbeecrypt.so.6 => /usr/lib64/libbeecrypt.so.6 (0x0000002a95d07000)
        librt.so.1 => /lib64/librt.so.1 (0x0000002a95e27000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x0000002a95f3e000)
        libbz2.so.1 => /usr/lib64/libbz2.so.1 (0x0000002a960d2000)
        libc.so.6 => /lib64/libc.so.6 (0x0000002a961e1000)
        /lib64/ld-linux-x86-64.so.2 => /lib64/ld-linux-x86-64.so.2
(0x0000002a95556000)


Version-Release number of selected component (if applicable):
4.2-0.69 -> 4.2.1-0.11

How reproducible:
Always

Steps to Reproduce:
1.update rpm and beecrypt
2.try to run rpm
ld-..bla bla libbeecrypt.so.6 file not found

    

Actual Results:  rpm does not work any more

Expected Results:  working update of rpm and beecrypt


Additional info:
Comment 1 Jeff Johnson 2003-07-31 13:48:20 EDT
Why are you mixing rpm-devel-4.2-0.69 with rpm-4.2.1?

There's more breakage than what you have identified, beecrypt-3.0.1
is an entirely incompatible API from beecrypt.
Comment 2 Albert Fluegel 2003-08-01 03:24:37 EDT
Sorry, the rpm -U command above was not pasted as is but
incorrectly composed from different xterms. In fact
I was not mixing rpm and rpm-devel in different versions,
both were 4.2.1-0.11
Comment 3 Jeff Johnson 2003-12-27 11:34:09 EST
Hmmm, I believe that this problem is solved now, as I've never
heard of any other problem with /usr/lib64 rpm+beecrypt
upgrades, and I know there would be a big loud noise if
there was a general problem here.

Reopen this bug if you still have a problem, and please
supply a reproducer for the problem.

Note You need to log in before you can comment on or make changes to this bug.